/oauth2/authorize

Users will be sent to this URL to authorize your application. Once authorized, the user will be redirected to redirect_uri with a url encoded authorization code that will be required in the token endpoint

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request an OAuth2 authorization code

GET /api/v2/oauth2/authorize?client_id=1234&redirect_uri=http%3A%2F%2Fwww.example.com&response_type=code HTTP/1.1
Host: www.formstack.com
curl -i "https://www.formstack.com/api/v2/oauth2/authorize?client_id=1234&redirect_uri=http%3A%2F%2Fwww.example.com&response_type=code"

To request an OAuth2 token to use with the Formstack API explorer, visit here.

Query Params
int32
required

The application's client id

string
required

The URL that the user will be redirected to after authorization. Must have the same domain as the application

string
required
Defaults to code

The authorization type (code)

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain